Adds new installation instructions for deb and rpm (#662)

* Adds new installation instructions for deb and rpm

* Fixes CI
pull/663/head
Nikita Sobolev 3 years ago committed by GitHub
parent 6294262692
commit 37a28389d2
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23

@ -0,0 +1,33 @@
# Initially copied from
# https://github.com/jordansissel/fpm/blob/master/Dockerfile
# TODO: Move to native image
# see: https://github.com/jordansissel/fpm/issues/1782
FROM alpine:3.13
ENV CODE_DIR='/code'
ENV SECRET_PROJECT_ROOT="$CODE_DIR"
RUN apk add --no-cache --update \
# fpm deps:
ruby \
ruby-dev \
ruby-etc \
gcc \
libffi-dev \
make \
libc-dev \
rpm \
tar \
# Direct dependencies:
bash \
gawk \
git \
gnupg \
# Assumed to be present:
curl
# Installing fpm:
RUN gem install --no-document fpm
WORKDIR $CODE_DIR

@ -7,15 +7,15 @@ DESTDIR?=
#
git-secret: src/version.sh src/_utils/*.sh src/commands/*.sh src/main.sh
cat $^ > "$@"; \
chmod +x git-secret; sync
@cat $^ > "$@"
@chmod +x git-secret; sync
.PHONY: all
all: build
.PHONY: clean
clean:
rm -f git-secret
@rm -f git-secret
.PHONY: build
build: git-secret
@ -48,10 +48,11 @@ test: clean build
# 3. We execute `make test` inside the `docker` container
.PHONY: docker-ci
docker-ci: clean
@[ -z "${GITSECRET_DOCKER_ENV}" ] \
&& echo 'GITSECRET_DOCKER_ENV is unset' && exit 1 || true
docker build \
-f ".ci/docker/$${GITSECRET_DOCKER_ENV}/Dockerfile" \
-t "gitsecret-$${GITSECRET_DOCKER_ENV}:latest" \
.
-f ".ci/docker-ci/$${GITSECRET_DOCKER_ENV}/Dockerfile" \
-t "gitsecret-$${GITSECRET_DOCKER_ENV}:latest" .
docker run --rm \
--volume="$${PWD}:/code" \
-w /code \
@ -77,8 +78,8 @@ lint-docker:
-w /code \
--rm hadolint/hadolint \
hadolint \
--ignore=DL3008 --ignore=DL3018 --ignore=DL3041 \
.ci/docker/*/Dockerfile
--ignore=DL3008 --ignore=DL3018 --ignore=DL3041 --ignore=DL3028 \
.ci/*/**/Dockerfile
.PHONY: lint
lint: lint-shell lint-docker
@ -89,7 +90,7 @@ lint: lint-shell lint-docker
.PHONY: clean-man
clean-man:
find "man/" -type f ! -name "*.md" -delete
@find "man/" -type f ! -name "*.md" -delete
.PHONY: build-man
build-man: git-secret
@ -121,72 +122,22 @@ docs: build-docs
# Packaging:
#
.PHONY: install-fpm
install-fpm:
if [ ! `gem list fpm -i` == "true" ]; then gem install fpm; fi
# .apk:
.PHONY: build-apk
build-apk: clean build install-fpm
chmod +x "./utils/build-utils.sh"; sync; \
chmod +x "./utils/apk/apk-build.sh"; sync; \
export SECRET_PROJECT_ROOT="${PWD}"; \
"./utils/apk/apk-build.sh"
.PHONY: test-apk-ci
test-apk-ci: build-apk
chmod +x "./utils/apk/apk-ci.sh"; sync; \
export SECRET_PROJECT_ROOT="${PWD}"; \
export PATH="${PWD}/vendor/bats-core/bin:${PATH}"; \
"./utils/apk/apk-ci.sh"
.PHONY: deploy-apk
deploy-apk: build-apk
chmod +x "./utils/apk/apk-deploy.sh"; sync; \
export SECRET_PROJECT_ROOT="${PWD}"; \
"./utils/apk/apk-deploy.sh"
# .deb:
.PHONY: build-deb
build-deb: clean build install-fpm
chmod +x "./utils/build-utils.sh"; sync; \
chmod +x "./utils/deb/deb-build.sh"; sync; \
export SECRET_PROJECT_ROOT="${PWD}"; \
"./utils/deb/deb-build.sh"
.PHONY: test-deb-ci
test-deb-ci: build-deb
chmod +x "./utils/deb/deb-ci.sh"; sync; \
export SECRET_PROJECT_ROOT="${PWD}"; \
export PATH="${PWD}/vendor/bats-core/bin:${PATH}"; \
"./utils/deb/deb-ci.sh"
.PHONY: deploy-deb
deploy-deb: build-deb
chmod +x "./utils/deb/deb-deploy.sh"; sync; \
export SECRET_PROJECT_ROOT="${PWD}"; \
"./utils/deb/deb-deploy.sh"
# .rpm:
.PHONY: build-rpm
build-rpm: clean build install-fpm
chmod +x "./utils/build-utils.sh"; sync; \
chmod +x "./utils/rpm/rpm-build.sh"; sync; \
export SECRET_PROJECT_ROOT="${PWD}"; \
"./utils/rpm/rpm-build.sh"
.PHONY: test-rpm-ci
test-rpm-ci: build-rpm
chmod +x "./utils/rpm/rpm-ci.sh"; sync; \
export SECRET_PROJECT_ROOT="${PWD}"; \
export PATH="${PWD}/vendor/bats-core/bin:${PATH}"; \
"./utils/rpm/rpm-ci.sh"
.PHONY: deploy-rpm
deploy-rpm: build-rpm
chmod +x "./utils/rpm/rpm-deploy.sh"; sync; \
export SECRET_PROJECT_ROOT="${PWD}"; \
"./utils/rpm/rpm-deploy.sh"
.PHONY: release-build
release-build: clean build
@[ -z "${GITSECRET_RELEASE_TYPE}" ] \
&& echo 'GITSECRET_RELEASE_TYPE is unset' && exit 1 || true
docker build \
-f ".ci/releaser/alpine/Dockerfile" \
-t "gitsecret-releaser:latest" .
docker run \
--volume="$${PWD}:/code" \
--rm gitsecret-releaser \
bash "./utils/$${GITSECRET_RELEASE_TYPE}/build.sh"
.PHONY: release
release: release-build
docker run \
--volume="$${PWD}:/code" \
-e SECRETS_ARTIFACTORY_CREDENTIALS \
--rm gitsecret-releaser \
bash "./utils/$${GITSECRET_RELEASE_TYPE}/deploy.sh"

@ -38,9 +38,10 @@ You can find the `deb` repository [here](https://bintray.com/sobolevn/deb/git-se
Pre-requirements: make sure you have installed `apt-transport-https` and `ca-certificates`
```bash
echo "deb https://dl.bintray.com/sobolevn/deb git-secret main" | sudo tee -a /etc/apt/sources.list
sudo sh -c "echo 'deb https://gitsecret.jfrog.io/artifactory/git-secret-deb git-secret main' >> /etc/apt/sources.list"
wget -qO - https://api.bintray.com/users/sobolevn/keys/gpg/public.key | sudo apt-key add -
sudo apt-get update && sudo apt-get install git-secret
sudo apt-get update
sudo apt-get install git-secret
```
---
@ -50,8 +51,9 @@ sudo apt-get update && sudo apt-get install git-secret
You can find the `rpm` repository [here](https://bintray.com/sobolevn/rpm/git-secret).
```bash
wget https://bintray.com/sobolevn/rpm/rpm -O bintray-sobolevn-rpm.repo
sudo mv bintray-sobolevn-rpm.repo /etc/yum.repos.d/
wget https://raw.githubusercontent.com/sobolevn/git-secret/master/utils/rpm/git-secret.repo -O git-secret-rpm.repo
# Inspect what's inside! You can also enable `gpg` check on repo level.
sudo mv git-secret-rpm.repo /etc/yum.repos.d/
sudo yum install git-secret
```

@ -1,4 +1,4 @@
#!/usr/bin/env bash
# shellcheck disable=2034
GITSECRET_VERSION='0.4.0.alpha1'
GITSECRET_VERSION='0.4.0'

@ -1,14 +0,0 @@
#!/usr/bin/env bash
set -e
# shellcheck disable=SC1090,SC1091
source "${SECRET_PROJECT_ROOT}/utils/build-utils.sh"
preinstall_files '-c'
# Building .deb package:
cd "$SCRIPT_DEST_DIR" && build_package "apk"
# Cleaning up:
clean_up_files && cd "${SECRET_PROJECT_ROOT}"

@ -1,39 +0,0 @@
#!/usr/bin/env bash
set -e
# Note that this file is created for test purposes:
# 1. It runs inside the Docker container
# 2. It does not use `sudo` or anything
# 3. If you would like to install `.apk` package on your system, see `Installation`
# shellcheck disable=SC1090,SC1091
source "${SECRET_PROJECT_ROOT}/utils/build-utils.sh"
# This folder should contain just one .apk file:
APK_FILE_LOCATION=$(locate_apk)
# Integration tests
function integration_tests {
# Installing the package:
apk add "$APK_FILE_LOCATION"
# Configuring the dependencies:
apk add --update-cache
# Testing the installation:
apk info | grep 'git-secret'
# lint says to use 'command -v' and not 'which'
command -v 'git-secret'
# Test the manuals:
man --where 'git-secret' # .7
man --where 'git-secret-init' # .1
}
integration_tests
# Unit tests:
# shellcheck disable=SC1090,SC1091
source "${SECRET_PROJECT_ROOT}/utils/tests.sh"

@ -1,31 +0,0 @@
#!/usr/bin/env bash
set -e
# shellcheck disable=SC1090,SC1091
source "${SECRET_PROJECT_ROOT}/utils/build-utils.sh"
# Variables, which will be used in `bintray.json`:
SCRIPT_VERSION=$(bash "${PWD}/git-secret" --version)
RELEASE_DATE=$(date +%Y-%m-%d)
# add `\"override\": 1 \` into the `matrixParams`, if needed:
echo "{ \
\"package\": { \
\"name\": \"git-secret\", \
\"repo\": \"apk\", \
\"subject\": \"sobolevn\" \
}, \
\"version\": {
\"name\": \"${SCRIPT_VERSION}\", \
\"desc\": \"Version ${SCRIPT_VERSION}\", \
\"released\": \"${RELEASE_DATE}\", \
\"vcs_tag\": \"v${SCRIPT_VERSION}\", \
\"gpgSign\": true \
}, \
\"files\": [{ \
\"includePattern\": \"build/buildroot/(.*\\\\\\.apk)\", \
\"uploadPattern\": \"/git-secret_${SCRIPT_VERSION}_all.apk\" \
}], \
\"publish\": true \
}" > "${SECRET_PROJECT_ROOT}/build/apk_descriptor.json"

@ -0,0 +1,14 @@
#!/usr/bin/env bash
set -e
# shellcheck disable=SC1090,SC1091
source "$SECRET_PROJECT_ROOT/utils/build-utils.sh"
preinstall_files '-c'
# Building .deb package:
cd "$SCRIPT_DEST_DIR" && build_package 'apk'
# Cleaning up:
clean_up_files && cd "$SECRET_PROJECT_ROOT"

@ -0,0 +1,61 @@
#!/usr/bin/env bash
set -e
if [ -z "$SECRETS_ARTIFACTORY_CREDENTIALS" ]; then
echo '$SECRETS_ARTIFACTORY_CREDENTIALS is not set'
exit 1
fi
# shellcheck disable=SC1090,SC1091
source "$SECRET_PROJECT_ROOT/utils/build-utils.sh"
# shellcheck disable=SC1090,SC1091
source "$SECRET_PROJECT_ROOT/src/version.sh"
VERSION_NAME="git-secret-${GITSECRET_VERSION}.apk"
# Artifactory location:
BASE_API_URL='https://gitsecret.jfrog.io/artifactory'
# This folder should contain just one `.apk` file:
APK_FILE_LOCATION="$(locate_release 'apk')"
APK_FILE_NAME="$(basename "$APK_FILE_LOCATION")"
function upload_with_architecture {
local arch="$1"
curl -sS -u "$SECRETS_ARTIFACTORY_CREDENTIALS" \
--max-time 10 \
--retry 3 \
--retry-delay 5 \
-XPUT "$BASE_API_URL/git-secret-apk/all/main/$arch/$VERSION_NAME" \
-T "$APK_FILE_LOCATION"
}
# Full list is here:
# http://dl-cdn.alpinelinux.org/alpine/v3.13/main/
ARCHITECTURES=(
'aarch64'
'armhf'
'armv7'
'mips64'
'ppc64le'
's390x'
'x86_64'
'x86'
)
for architecture in "${ARCHITECTURES[@]}"; do
upload_with_architecture "$architecture"
done
# Now, we need to trigger metadata reindex:
curl -sS -u "$SECRETS_ARTIFACTORY_CREDENTIALS" \
--max-time 5 \
--retry 3 \
--retry-delay 5 \
-XPOST "$BASE_API_URL/api/alpine/git-secret-apk/reindex"
echo
echo "Done: released $APK_FILE_NAME"

@ -3,36 +3,24 @@
set -e
# Initializing and settings:
READ_PEM=0644
EXEC_PEM=0755
READ_PERM=0644
EXEC_PERM=0755
SCRIPT_NAME='git-secret'
SCRIPT_DESCRIPTION='A bash-tool to store your private data inside a git repository.'
SCRIPT_VERSION="$(bash "${PWD}"/git-secret --version)"
# This might be overridden someday:
: "${SCRIPT_EPOCH:=0}"
: "${SCRIPT_ITERATION:=1}"
# This may be overridden:
if [[ -z "$SCRIPT_BUILD_DIR" ]]; then
SCRIPT_BUILD_DIR="${PWD}/build"
SCRIPT_BUILD_DIR="$PWD/build"
fi
SCRIPT_DEST_DIR="${SCRIPT_BUILD_DIR}/buildroot"
function locate_apk {
find "$SCRIPT_DEST_DIR" -maxdepth 1 -name '*.apk' | head -1
} # TODO: use an argument instead
function locate_deb {
find "$SCRIPT_DEST_DIR" -maxdepth 1 -name '*.deb' | head -1
}
SCRIPT_DEST_DIR="$SCRIPT_BUILD_DIR/buildroot"
function locate_rpm {
find "$SCRIPT_DEST_DIR" -maxdepth 1 -name '*.rpm' | head -1
function locate_release {
local release_type="$1"
find "$SCRIPT_DEST_DIR" -maxdepth 1 -name "*.$release_type" | head -1
}
@ -45,28 +33,30 @@ function preinstall_files {
mkdir -p "$SCRIPT_DEST_DIR"
# Coping the files inside the build folder:
install -D "${dir_switch}" \
-b -m "$EXEC_PEM" "${dir_switch}" 'git-secret' \
"${SCRIPT_DEST_DIR}/usr/bin/git-secret"
install -m "$EXEC_PEM" -d "${SCRIPT_DEST_DIR}/usr/share/man/man1"
install -m "$EXEC_PEM" -d "${SCRIPT_DEST_DIR}/usr/share/man/man7"
install -D "$dir_switch" \
-b -m "$EXEC_PERM" "$dir_switch" "$SCRIPT_NAME" \
"$SCRIPT_DEST_DIR/usr/bin/$SCRIPT_NAME"
# Install the manualls:
install -m "$EXEC_PERM" -d "${SCRIPT_DEST_DIR}/usr/share/man/man1"
install -m "$EXEC_PERM" -d "${SCRIPT_DEST_DIR}/usr/share/man/man7"
for file in man/man1/* ; do
if [[ "$file" == *.md ]]; then
continue
fi
install -D "${dir_switch}" \
-b -m "$READ_PEM" "${dir_switch}" "$file" \
"${SCRIPT_DEST_DIR}/usr/share/$file"
install -D "$dir_switch" \
-b -m "$READ_PERM" "$dir_switch" "$file" \
"$SCRIPT_DEST_DIR/usr/share/$file"
done
install -D "${dir_switch}" \
-b -m "$READ_PEM" "${dir_switch}" 'man/man7/git-secret.7' \
"${SCRIPT_DEST_DIR}/usr/share/man/man7/git-secret.7"
install -D "$dir_switch" \
-b -m "$READ_PERM" "$dir_switch" 'man/man7/git-secret.7' \
"$SCRIPT_DEST_DIR/usr/share/man/man7/git-secret.7"
}
function build_package {
# Only requires `rpm`, `apk` or `deb` as first argument:
# Only requires `rpm`, `apk`, or `deb` as first argument:
local build_type="$1"
# coreutils is for sha256sum
@ -78,7 +68,7 @@ function build_package {
-n "$SCRIPT_NAME" \
--version "$SCRIPT_VERSION" \
--description "$SCRIPT_DESCRIPTION" \
--url "https://sobolevn.github.io/git-secret/" \
--url "https://git-secret.io" \
--maintainer "Nikita Sobolev (mail@sobolevn.me)" \
--license "MIT" \
-C "$SCRIPT_DEST_DIR" \

@ -3,12 +3,12 @@
set -e
# shellcheck disable=SC1090,SC1091
source "${SECRET_PROJECT_ROOT}/utils/build-utils.sh"
source "$SECRET_PROJECT_ROOT/utils/build-utils.sh"
preinstall_files '-T'
preinstall_files '-c'
# Building .deb package:
cd "$SCRIPT_DEST_DIR" && build_package 'deb'
# Cleaning up:
clean_up_files && cd "${SECRET_PROJECT_ROOT}"
clean_up_files && cd "$SECRET_PROJECT_ROOT"

@ -1,39 +0,0 @@
#!/usr/bin/env bash
set -e
# Note that this file is created for test purposes:
# 1. It runs inside the Docker container
# 2. It does not use `sudo` or anything
# 3. If you would like to install `.deb` package on your system, see `Installation`
# shellcheck disable=SC1090,SC1091
source "${SECRET_PROJECT_ROOT}/utils/build-utils.sh"
# This folder should contain just one .deb file:
DEB_FILE_LOCATION=$(locate_deb)
# Integration tests
function integration_tests {
# Installing the package:
dpkg -i "$DEB_FILE_LOCATION"
# Configuring the dependencies:
apt-get -f -y install
# Testing the installation:
dpkg --get-selections | grep 'git-secret'
# lint says to use 'command -v' and not 'which'
command -v 'git-secret'
# Test the manuals:
man --where 'git-secret' # .7
man --where 'git-secret-init' # .1
}
integration_tests
# Unit tests:
# shellcheck disable=SC1090,SC1091
source "${SECRET_PROJECT_ROOT}/utils/tests.sh"

@ -1,36 +0,0 @@
#!/usr/bin/env bash
set -e
# shellcheck disable=SC1090,SC1091
source "${SECRET_PROJECT_ROOT}/utils/build-utils.sh"
# Variables, which will be used in `bintray.json`:
SCRIPT_VERSION=$(bash "${PWD}/git-secret" --version)
RELEASE_DATE=$(date +%Y-%m-%d)
# add `\"override\": 1 \` into the `matrixParams`, if needed:
echo "{ \
\"package\": { \
\"name\": \"git-secret\", \
\"repo\": \"deb\", \
\"subject\": \"sobolevn\" \
}, \
\"version\": {
\"name\": \"${SCRIPT_VERSION}\", \
\"desc\": \"Version ${SCRIPT_VERSION}\", \
\"released\": \"${RELEASE_DATE}\", \
\"vcs_tag\": \"v${SCRIPT_VERSION}\", \
\"gpgSign\": true \
}, \
\"files\": [{ \
\"includePattern\": \"build/buildroot/(.*\\\\\\.deb)\", \
\"uploadPattern\": \"/git-secret_${SCRIPT_VERSION}_all.deb\", \
\"matrixParams\": { \
\"deb_distribution\": \"git-secret\", \
\"deb_component\": \"main\", \
\"deb_architecture\": \"all\" \
} \
}], \
\"publish\": true \
}" > "${SECRET_PROJECT_ROOT}/build/deb_descriptor.json"

@ -0,0 +1,30 @@
#!/usr/bin/env bash
set -e
if [ -z "$SECRETS_ARTIFACTORY_CREDENTIALS" ]; then
echo '$SECRETS_ARTIFACTORY_CREDENTIALS is not set'
exit 1
fi
# shellcheck disable=SC1090,SC1091
source "$SECRET_PROJECT_ROOT/utils/build-utils.sh"
# Artifactory location:
BASE_API_URL='https://gitsecret.jfrog.io/artifactory'
# This folder should contain just one `.dev` file:
DEB_FILE_LOCATION="$(locate_release 'deb')"
DEB_FILE_NAME="$(basename "$DEB_FILE_LOCATION")"
curl -sS -u "$SECRETS_ARTIFACTORY_CREDENTIALS" \
-XPUT "$BASE_API_URL/git-secret-deb/$DEB_FILE_NAME;deb.distribution=git-secret;deb.component=main;deb.architecture=all" \
-T "$DEB_FILE_LOCATION"
# Now, we need to trigger metadata reindex:
curl -sS -u "$SECRETS_ARTIFACTORY_CREDENTIALS" \
-XPOST "$BASE_API_URL/api/deb/reindex/git-secret-deb"
echo
echo "Done: released $DEB_FILE_NAME"

@ -3,13 +3,13 @@
set -e
# shellcheck disable=SC1090,SC1091
source "${SECRET_PROJECT_ROOT}/utils/build-utils.sh"
source "$SECRET_PROJECT_ROOT/utils/build-utils.sh"
# Copying all the required files to the build directory:
preinstall_files '-T'
preinstall_files '-c'
# Building .rpm package:
cd "$SCRIPT_DEST_DIR" && build_package 'rpm'
# Cleaning up:
clean_up_files && cd "${SECRET_PROJECT_ROOT}"
clean_up_files && cd "$SECRET_PROJECT_ROOT"

@ -0,0 +1,30 @@
#!/usr/bin/env bash
set -e
if [ -z "$SECRETS_ARTIFACTORY_CREDENTIALS" ]; then
echo '$SECRETS_ARTIFACTORY_CREDENTIALS is not set'
exit 1
fi
# shellcheck disable=SC1090,SC1091
source "$SECRET_PROJECT_ROOT/utils/build-utils.sh"
# Artifactory location:
BASE_API_URL='https://gitsecret.jfrog.io/artifactory'
# This folder should contain just one `.rpm` file:
RPM_FILE_LOCATION="$(locate_release 'rpm')"
RPM_FILE_NAME="$(basename "$RPM_FILE_LOCATION")"
curl -sS -u "$SECRETS_ARTIFACTORY_CREDENTIALS" \
-XPUT "$BASE_API_URL/git-secret-rpm/rpm/$RPM_FILE_NAME" \
-T "$RPM_FILE_LOCATION"
# Now, we need to trigger metadata reindex:
curl -sS -u "$SECRETS_ARTIFACTORY_CREDENTIALS" \
-XPOST "$BASE_API_URL/api/yum/git-secret-rpm?async=1"
echo
echo "Done: released $RPM_FILE_NAME"

@ -0,0 +1,9 @@
[git-secret-rpm]
name=git-secret-rpm
baseurl=https://gitsecret.jfrog.io/artifactory/git-secret-rpm
enabled=1
gpgcheck=0
# Uncomment the following lines to enable repository-level GPG key check:
# gpgkey=https://gitsecret.jfrog.io/artifactory/git-secret-rpm/repodata/repomd.xml.key
# repo_gpgcheck=1

@ -1,39 +0,0 @@
#!/usr/bin/env bash
set -e
# Note that this file is created for test purposes:
# 1. It runs inside the Docker container
# 2. It does not use `sudo` or anything
# 3. If you would like to install `.rpm` package on your system, see `Installation`
# shellcheck disable=SC1090,SC1091
source "${SECRET_PROJECT_ROOT}/utils/build-utils.sh"
# This folder should contain just one .rpm file:
RPM_FILE_LOCATION=$(locate_rpm)
# Integration tests
function integration_tests {
# Note that `dnf` must be installed.
# CentOS 6 does not support `dnf`.
# Installing the package:
dnf install -y "$RPM_FILE_LOCATION"
# Testing the installation:
dnf info 'git-secret'
# 'command -v' is like 'which'
command -v 'git-secret'
# Test the manuals:
man --where 'git-secret' # .7
man --where 'git-secret-init' # .1
}
integration_tests
# Unit tests:
# shellcheck disable=SC1090,SC1091
source "${SECRET_PROJECT_ROOT}/utils/tests.sh"

@ -1,31 +0,0 @@
#!/usr/bin/env bash
set -e
# shellcheck disable=SC1090,SC1091
source "${SECRET_PROJECT_ROOT}/utils/build-utils.sh"
# Variables, which will be used in `bintray.json`:
SCRIPT_VERSION=$(bash "${PWD}/git-secret" --version)
RELEASE_DATE=$(date +%Y-%m-%d)
# add `\"override\": 1 \` into the `matrixParams`, if needed:
echo "{ \
\"package\": { \
\"name\": \"git-secret\", \
\"repo\": \"rpm\", \
\"subject\": \"sobolevn\" \
}, \
\"version\": {
\"name\": \"${SCRIPT_VERSION}\", \
\"desc\": \"Version ${SCRIPT_VERSION}\", \
\"released\": \"${RELEASE_DATE}\", \
\"vcs_tag\": \"v${SCRIPT_VERSION}\", \
\"gpgSign\": true \
}, \
\"files\": [{ \
\"includePattern\": \"build/buildroot/(.*\\\\\\.rpm)\", \
\"uploadPattern\": \"/git-secret-${SCRIPT_VERSION}-1.noarch.rpm\"
}], \
\"publish\": true \
}" > "${SECRET_PROJECT_ROOT}/build/rpm_descriptor.json"
Loading…
Cancel
Save